PDU_API(3)

NAME
snmp_pdu_create, snmp_clone_pdu, snmp_fix_pdu, snmp_free_pdu - pdu_api functions

SYNOPSIS
#include <net-snmp/pdu_api.h>

netsnmp_pdu *snmp_pdu_create( inttype);

netsnmp_pdu *snmp_clone_pdu( netsnmp_pdu*pdu);

netsnmp_pdu *snmp_fix_pdu( netsnmp_pdu*pdu, int idx);

netsnmp_pdu *snmp_free_pdu( netsnmp_pdu*pdu);

DESCRIPTION
These functions deal with SNMP request structures.

snmp_pdu_create

snmp_clone_pdu

snmp_fix_pdu

snmp_free_pdu

SEE ALSO
varbind_api(3) session_api(3)